## afancontrol 3.1.1

=== Makefile ===

.PHONY: format
format:
	black src tests *.py && isort src tests *.py

.PHONY: lint
lint:
	flake8 src tests *.py && isort --check-only src tests *.py && black --check src tests *.py && mypy src tests

.PHONY: test
test:
	coverage run -m pytest
	coverage report

.PHONY: clean
clean:
	find . -name "*.pyc" -print0 | xargs -0 rm -f
	rm -Rf dist
	rm -Rf *.egg-info

.PHONY: develop
develop:
	pip install -U setuptools wheel
	pip install -e '.[arduino,metrics,dev]'

.PHONY: sdist
sdist:
	python setup.py sdist

.PHONY: wheel
wheel:
	python setup.py bdist_wheel

.PHONY: release
release: clean sdist wheel
	twine --version
	twine upload -s dist/*

.PHONY: docs
docs:
	make -C docs html

.PHONY: check-docs
check-docs:
	# Doesn't generate any output but prints out errors and warnings.
	make -C docs dummy

.PHONY: deb-local
deb-local: clean sdist
	docker build -t afancontrol-debuild -f ./Dockerfile.debian .
	docker run -it --rm \
		-v `pwd`/dist:/afancontrol/dist \
		-v `pwd`/debian:/afancontrol/debian \
		afancontrol-debuild sh -ex -c '\
			tar xaf /afancontrol/dist/afancontrol-*.tar.gz --strip 1; \
			debuild -us -uc -b; \
			cd ../; \
			ls -alh; \
			mkdir /afancontrol/dist/debian; \
			cp afancontrol?* /afancontrol/dist/debian/; \
			dpkg --contents afancontrol*.deb; \
	'

.PHONY: deb-from-pypi
deb-from-pypi: clean
	docker build -t afancontrol-debuild -f ./Dockerfile.debian .
	docker run -it --rm \
		-v `pwd`/dist:/afancontrol/dist \
		afancontrol-debuild sh -ex -c '\
			uscan --download --overwrite-download --verbose; \
			tar xaf ../afancontrol_*.orig.tar.gz --strip 1; \
			debuild -us -uc; \
			cd ../; \
			ls -alh; \
			mkdir /afancontrol/dist/debian; \
			cp afancontrol?* /afancontrol/dist/debian/; \
	'

=== debian/changelog ===
afancontrol (3.1.1-1~20250812065856.27+trixie) unstable; urgency=medium

  [ Mario Fetka ]
  * Imported Upstream version 3.1.0

  [ root ]
  * New upstream version 3.1.1

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 3.1.1-1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Tue, 12 Aug 2025 08:58:56 +0200

afancontrol (3.1.0-1) unstable; urgency=medium

  [ Juha Yrjölä ]
  * Support glob expansion with fans (#9)

  [ Kostya Esmukov ]
  * Drop Python 3.6 support, add 3.11

 -- Kostya Esmukov <kostya@esmukov.ru>  Mon, 28 Nov 2022 00:11:43 +0200

afancontrol (3.0.0-2) unstable; urgency=medium

  * Bump debhelper compat to 13

 -- Kostya Esmukov <kostya@esmukov.ru>  Mon, 02 Aug 2021 19:19:34 +0000

afancontrol (3.0.0-1) unstable; urgency=medium

  * Drop support for prometheus-client < 0.1.0 (debian stretch)
  * Drop support for Python 3.5 (debian stretch)
  * Add support for Python 3.9
  * config: add `ipmi_sensors` location property
  * Add dh-systemd (would automatically (re)start the systemd service upon
    package (re)installation)

 -- Kostya Esmukov <kostya@esmukov.ru>  Sat, 10 Oct 2020 14:43:01 +0000

afancontrol (2.2.1-1) unstable; urgency=medium

  * Fix compatibility with py3.5

 -- Kostya Esmukov <kostya@esmukov.ru>  Mon, 28 Sep 2020 22:39:46 +0000

afancontrol (2.2.0-1) unstable; urgency=medium

  * FileTemp: add support for glob patterns in paths

  * Add `readonly_fan` section, allow exporter-only mode (i.e. no fans and mappings)

  * Add a readonly IPMI speed fan

  * Add filters, collect temperatures simultaneously

 -- Kostya Esmukov <kostya@esmukov.ru>  Mon, 28 Sep 2020 22:12:04 +0000

afancontrol (2.1.0-1) unstable; urgency=medium

  * Move PID file under /run (#3)

 -- Kostya Esmukov <kostya@esmukov.ru>  Fri, 12 Jun 2020 15:12:15 +0000

afancontrol (2.0.0-1) unstable; urgency=medium

  * Switch Debian distribution from stretch to unstable

 -- Kostya Esmukov <kostya@esmukov.ru>  Sat, 09 May 2020 13:30:44 +0000

afancontrol (2.0.0~b5-1) unstable; urgency=medium

  * Fix LinuxPWMFan spuriously raising "Couldn't disable PWM on the fan"

 -- Kostya Esmukov <kostya@esmukov.ru>  Sat, 15 Jun 2019 23:18:33 +0000

afancontrol (2.0.0~b4-1) unstable; urgency=medium

  * Fix Arduino connection recovery not working

  * Fantest: fix arduino pins being asked when they equal 0

 -- Kostya Esmukov <kostya@esmukov.ru>  Thu, 02 May 2019 11:55:29 +0000

afancontrol (2.0.0~b3-1) unstable; urgency=medium

  * Manager: remove a redundant processing of the fans which are absent in mappings

  * Fans: fix a bug when a single failing fan would prevent other fans' speed change

  * afancontrol daemon: remove the `--daemon` switch (it doesn't work correctly)

  * Config parser: strip spaces around fan name and speed modifier in mappings

 -- Kostya Esmukov <kostya@esmukov.ru>  Wed, 01 May 2019 12:40:13 +0000

afancontrol (2.0.0~b2-1) unstable; urgency=medium

  * Fix hddtemp not expanding glob

 -- Kostya Esmukov <kostya@esmukov.ru>  Mon, 29 Apr 2019 19:04:42 +0000

afancontrol (2.0.0~b1-1) unstable; urgency=medium

  * Initial release

 -- Kostya Esmukov <kostya@esmukov.ru>  Sun, 28 Apr 2019 11:58:16 +0000

=== debian/control ===
Source: afancontrol
Section: utils
Priority: optional
Maintainer: Kostya Esmukov <kostya@esmukov.ru>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-click,
               python3-prometheus-client (>= 0.1.0),
               python3-pytest,
               python3-requests,
               python3-serial,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/KostyaEsmukov/afancontrol

Package: afancontrol
Architecture: all
Depends: hddtemp,
         lm-sensors,
         python3-click,
         python3-pkg-resources,
         python3-prometheus-client (>= 0.1.0),
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Suggests: freeipmi-tools
Description: Advanced Fan Control program (Python 3)
 afancontrol is an Advanced Fan Control program, which controls PWM
 fans according to the current temperatures of the system components.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export PYTHONWARNINGS=d
export PYBUILD_NAME=afancontrol
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests/

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/afancontrol/afancontrol-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
